%undefine __brp_mangle_shebangs

Name: redborder-webui
Version: %{__version}
Release: %{__release}%{?dist}
BuildArch: noarch
Summary: Package for redborder webui

License: AGPL 3.0
URL: git@gitlab.redborder.lan:web-developers/redborder-manager.git
Source0: %{name}-%{version}.tar.gz

Requires: ImageMagick binutils

%description
%{summary}

%prep
%setup -qn %{name}-%{version}

%build

%install
sed -i "/gem 'brakeman','=3.6.1', group: \[:development, :test\]/s/^/# /" Gemfile
sed -i "/group :development do/,/end/ s/^/# /" "./Gemfile"
sed -i "/group :test do/,/end/ s/^/# /" "./Gemfile"
mkdir -p %{buildroot}/var/www/rb-rails
cp -r ./* %{buildroot}/var/www/rb-rails/
rm -rf %{buildroot}/var/www/rb-rails/packaging
rm -rf %{buildroot}/var/www/rb-rails/Gemfile.lock

# Remove malware and social modules
rm -rf %{buildroot}/var/www/rb-rails/lib/modules/malware
rm -rf %{buildroot}/var/www/rb-rails/lib/modules/social
sed -i '/malware\|social/d' %{buildroot}/var/www/rb-rails/config/modules.yml

mkdir -p %{buildroot}/usr/lib/systemd/system
install -D -m 0644 packaging/resources/webui.service %{buildroot}/usr/lib/systemd/system/webui.service
install -D -m 0644 packaging/resources/rb-workers.service %{buildroot}/usr/lib/systemd/system/rb-workers.service
mkdir -p %{buildroot}/usr/lib/redborder/bin
install -D -m 0755 packaging/resources/rb_webui.sh %{buildroot}/usr/lib/redborder/bin/rb_webui.sh
install -D -m 0755 packaging/resources/rb_workers.sh %{buildroot}/usr/lib/redborder/bin/rb_workers.sh

%pre
/usr/bin/getent group webui &>/dev/null || /usr/sbin/groupadd -r webui &>/dev/null
/usr/bin/getent passwd webui &>/dev/null || /usr/sbin/useradd -r -d /var/www/rb-rails -s /sbin/nologin webui -g webui &>/dev/null
exit 0

%post
systemctl daemon-reload
chown webui:webui /var/www/rb-rails/Gemfile.lock

%files
%defattr(-,webui,webui)
/var/www/rb-rails
%defattr(0644,root,root)
/usr/lib/systemd/system/webui.service
/usr/lib/systemd/system/rb-workers.service
%defattr(0755,root,root)
/usr/lib/redborder/bin/rb_webui.sh
/usr/lib/redborder/bin/rb_workers.sh
%doc

%changelog
* Fri Jan 19 2024 Miguel Negron <manegron@redborder.com>
- Add ImageMagick as require
* Thu Nov 16 2023 Miguel Negron <manegron@redborder.com>
- Add optionable audits
* Wed Nov 15 2023 Miguel Negron <manegron@redborder.com>
- Fixed rb_workers not executing on rhel9
* Wed Sep 27 2023 Miguel Álvarez <malvarez@redborder.com>
- Bringing changes from old web
- Update spec file to comment Gemfile groups for production environments
* Fri Jul 07 2023 Luis Blanco <ljblanco@redborder.com>
- Bringing changes from old web
* Mon Jun 19 2023 Luis J. Blanco <ljblanco@redborder.com>
- RbVulnerabilityJob user_id no valid exception controlled to enqueue again the job
* Thu Jun 15 2023 Vicente Mesa <vimesa@redborder.com>
- Historical nodes 
* Mon May 08 2023 Luis J. Blanco <ljblanco@redborder.com>
- Displayed services in cluster settings
* Fri May 05 2023 Luis J. Blanco <ljblanco@redborder.com>
- Gsub domain without node
* Mon Apr 24 2023 Luis J. Blanco <ljblanco@redborder.com>
- Tiers added for monitor
* Fri Apr 21 2023 Luis J. Blanco <ljblanco@redborder.com>
- Update device icon on namespaces/organizations
* Fri Feb 10 2023 Luis Blanco <ljblanco@redborder.com>
- Bringing changes from old web
* Thu Jul 07 2016 Carlos J. Mateos <cjmateos@redborder.com> - 1.0.0-1
- first spec version
